Bug 1839451 - Review Request: R-servr - Simple HTTP Server to Serve Static Files or Dynamic Documents
Summary: Review Request: R-servr - Simple HTTP Server to Serve Static Files or Dynamic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iñaki Ucar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: branch-request:all
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-24 06:11 UTC by Elliott Sales de Andrade
Modified: 2020-07-05 02:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-05 01:48:55 UTC
Type: ---
i.ucar86: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2020-05-24 06:11:45 UTC
Spec URL: https://qulogic.fedorapeople.org//R-servr.spec
SRPM URL: https://qulogic.fedorapeople.org//R-servr-0.16-1.fc30.src.rpm

Description:
b'Start an HTTP server in R to serve static files, or dynamic documents that\ncan be converted to HTML files (e.g., R Markdown) under a given directory.'

Comment 1 Elliott Sales de Andrade 2020-05-24 06:11:48 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=44891057

Comment 2 Iñaki Ucar 2020-06-25 20:39:51 UTC
- Please, package the latest version (0.17).
- The license is GPL+, because they don't specify any version.
- The Source0 URL works only for current versions, but not when the package is
  archived (so it doesn't work now for 0.16). The scheme that is guaranteed to
  work both for releases and archived packages is the following:

URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{version}#/%{packname}_%{version}.tar.gz

Comment 3 Elliott Sales de Andrade 2020-06-25 21:34:41 UTC
(In reply to Iñaki Ucar from comment #2)
> - The Source0 URL works only for current versions, but not when the package
> is
>   archived (so it doesn't work now for 0.16). The scheme that is guaranteed
> to
>   work both for releases and archived packages is the following:
> 
> URL:              https://cran.r-project.org/package=%{packname}
> Source0:          %{url}&version=%{version}#/%{packname}_%{version}.tar.gz

Please open an PR to the guidelines for this.

Comment 4 Iñaki Ucar 2020-06-25 22:20:01 UTC
Done in #993.

Comment 6 Iñaki Ucar 2020-06-26 08:19:03 UTC
Thanks. Arch-specific bits correct, license correct, files correct, rpmlint correct, requires sane. Note that the new scheme for the Source, referenced above, has been merged and is now in the guidelines.

Package APPROVED.

Comment 7 Iñaki Ucar 2020-06-26 08:19:58 UTC
"Noarch", I meant.

Comment 8 Gwyn Ciesla 2020-06-26 14:15:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-servr

Comment 9 Fedora Update System 2020-06-26 21:01:35 UTC
FEDORA-2020-44b4d441e6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-44b4d441e6

Comment 10 Fedora Update System 2020-06-26 21:01:42 UTC
FEDORA-2020-7e84926900 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e84926900

Comment 11 Fedora Update System 2020-06-27 01:21:28 UTC
FEDORA-2020-7e84926900 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-7e84926900 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e84926900

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-06-27 03:13:11 UTC
FEDORA-2020-44b4d441e6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-44b4d441e6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-44b4d441e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-07-05 01:48:55 UTC
FEDORA-2020-7e84926900 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-07-05 02:09:44 UTC
FEDORA-2020-44b4d441e6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.